GET /serviceenginegroup/{uuid}/placement/detail/
/serviceenginegroup/{uuid}/placement/detail/
UUID of the object to fetch
Avi Tenant Header
Avi Tenant Header UUID
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
OK
{
"active_standby": false,
"algo": "string",
"buffer_se": 0,
"consumers_ineligible_reasons": [
{
"consumer_ids": [
{
"vip_id": "string",
"vs_uuid": "string"
}
],
"reason": "string"
}
],
"create_pending_ses": [
"string"
],
"image_ready": false,
"instance_flavor": "string",
"max_se": 0,
"max_vs_per_se": 0,
"resources_ineligible_reasons": [
{
"reason": "string",
"resource_uuids": [
"string"
]
}
],
"upgrade_in_progress": false,
"uuid": "string",
"vnic_capacity_reached_ses": [
"string"
],
"vnic_ip_limit_reached_ses": [
"string"
],
"vs_host_redundancy": false
}
Active standby. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Placement algorithm. Enum options - PLACEMENT_ALGO_PACKED, PLACEMENT_ALGO_DISTRIBUTED. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Buffer SE. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
List of VSs for each placement ineligible reason. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Creation pending SEs. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Image ready. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Instance flavor. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Max SE. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Max vs per SE. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
List of SEs for each placement ineligible reason. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Upgrade in progress. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
SE group UUID. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
SEs which have reached the max vNIC limit. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
SEs for which there is at least one set of vNIC(s) (corresponding to the same network) which are all at the max vNIC IP limit. Field introduced in 22.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
VS host redundancy. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
log in failed
object not found
curl -H 'Authorization: <value>' https://{api_host}/api/serviceenginegroup/{uuid}/placement/detail